Update an unresolved Service Appointment issue
Updates issueType or notes. Resolved issues return a lifecycle conflict.
Updates issueType or notes. Resolved issues return a lifecycle conflict.
Update an unresolved Service Appointment issue. Use an organization API key with service_appointments:issues:write. Check the response envelope and meta.requestId before triggering dependent workflow steps.
Required scopes
Parameters
| Name | In | Type | Description |
|---|---|---|---|
| idrequired | path | string | Service Appointment identifier returned by the Organization API. |
| issueIdrequired | path | string | ISSUE ID path identifier. |
Request body
| Field | Type | Description |
|---|---|---|
| issueType | HOMEOWNER_NOT_HOME | ACCESS_ISSUE | UNSAFE_CONDITIONS | MISSING_EQUIPMENT | CUSTOMER_REFUSED | OTHER | Optional unless marked required. |
| notes | string | null | Optional unless marked required. |
{
"notes": "Property manager approval is pending."
}Responses
Updated issue envelope
#/components/schemas/OrgApiResourceEnvelope
Missing or invalid organization API key
#/components/schemas/OrgApiError
Organization billing access or an endpoint-specific business quota denied the request
#/components/schemas/OrgApiError
Missing required scope: service_appointments:issues:write
#/components/schemas/OrgApiError
Issue already resolved
#/components/schemas/OrgApiError
Rate limit exceeded
#/components/schemas/OrgApiError
Errors
Static examples
curl -X PATCH "$SOLAROS_BASE_URL/api/v1/service-appointments/$SOLAROS_SERVICE_APPOINTMENT/issues/$SOLAROS_ISSUE_ID" \
-H "Authorization: Bearer $SOLAROS_API_KEY" \
-H "Content-Type: application/json" \
--data '{"notes":"Property manager approval is pending."}'